FROM terrillo/python3flask:latest

ENV STATIC_URL /static
ENV STATIC_PATH /app/static

COPY . /app
WORKDIR /app
RUN pip3 install --no-cache-dir -r requirements.txt
CMD ["/usr/bin/python3 ./db_init.py"]

COPY ./nginx.sh /nginx.sh
RUN chmod +x /nginx.sh

ENV PYTHONPATH=/app

ENTRYPOINT ["/nginx.sh"]
CMD ["/start.sh"]
